meta.h File Reference
SPA » Buffers

`spa/buffer/meta.h` More...

Go to the source code of this file.

## Data Structures

struct | spa_meta
| A metadata element. More...
struct | spa_meta_header
| Describes essential buffer header metadata such as flags and timestamps. More...
struct | spa_meta_region
| metadata structure for Region or an array of these for RegionArray More...
struct | spa_meta_bitmap
| Bitmap information. More...
struct | spa_meta_cursor
| Cursor information. More...
struct | spa_meta_control
| a timed set of events associated with the buffer More...
struct | spa_meta_busy
| a busy counter for the buffer More...

## Macros

#define | spa_meta_first(m) ((m)->data)
#define | spa_meta_end(m) SPA_PTROFF((m)->data,(m)->size,void)
#define | spa_meta_check(p, m) (SPA_PTROFF(p,sizeof(*p),void) <= spa_meta_end(m))
#define | SPA_META_HEADER_FLAG_DISCONT (1 << 0)
| data is not continuous with previous buffer More...
#define | SPA_META_HEADER_FLAG_CORRUPTED (1 << 1)
| data might be corrupted More...
#define | SPA_META_HEADER_FLAG_MARKER (1 << 2)
| media specific marker More...
#define | SPA_META_HEADER_FLAG_HEADER (1 << 3)
| data contains a codec specific header More...
#define | SPA_META_HEADER_FLAG_GAP (1 << 4)
| data contains media neutral data More...
#define | SPA_META_HEADER_FLAG_DELTA_UNIT (1 << 5)
| cannot be decoded independently More...
#define | spa_meta_region_is_valid(m) ((m)->region.size.width != 0 && (m)->region.size.height != 0)
#define | spa_meta_for_each(pos, meta)
| iterate all the items in a metadata More...
#define | spa_meta_bitmap_is_valid(m) ((m)->format != 0)
#define | spa_meta_cursor_is_valid(m) ((m)->id != 0)

## Enumerations

enum | spa_meta_type { SPA_META_Invalid , SPA_META_Header , SPA_META_VideoCrop , SPA_META_VideoDamage , SPA_META_Bitmap , SPA_META_Cursor , SPA_META_Control , SPA_META_Busy , _SPA_META_LAST }

## Detailed Description

`spa/buffer/meta.h`